Query Pull Requests
curl --request POST \
--url https://getunblocked.com/api/v1/context/query/prs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"projects": [
"<string>"
],
"userName": "<string>"
}
'import requests
url = "https://getunblocked.com/api/v1/context/query/prs"
payload = {
"query": "<string>",
"projects": ["<string>"],
"userName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', projects: ['<string>'], userName: '<string>'})
};
fetch('https://getunblocked.com/api/v1/context/query/prs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/context/query/prs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'projects' => [
'<string>'
],
'userName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/context/query/prs"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://getunblocked.com/api/v1/context/query/prs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/context/query/prs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"sources": [
{
"content": "<string>",
"title": "<string>",
"url": "<string>",
"sourceType": "<string>",
"provider": "github"
}
]
}{
"message": "<string>",
"documentationUrl": "<string>"
}Context
Query Pull Requests
Retrieve pull requests matching a natural-language query with optional repository and person filters. Unlike search, which ranks results by semantic relevance, query returns the pull requests that match the given criteria.
Authentication behavior:
- Personal Access Token (PAT) keys: Requests are attributed to the key’s user
- Team-wide API keys: Requests are attributed to the team
POST
/
context
/
query
/
prs
Query Pull Requests
curl --request POST \
--url https://getunblocked.com/api/v1/context/query/prs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"projects": [
"<string>"
],
"userName": "<string>"
}
'import requests
url = "https://getunblocked.com/api/v1/context/query/prs"
payload = {
"query": "<string>",
"projects": ["<string>"],
"userName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', projects: ['<string>'], userName: '<string>'})
};
fetch('https://getunblocked.com/api/v1/context/query/prs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/context/query/prs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'projects' => [
'<string>'
],
'userName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/context/query/prs"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://getunblocked.com/api/v1/context/query/prs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/context/query/prs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"projects\": [\n \"<string>\"\n ],\n \"userName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"sources": [
{
"content": "<string>",
"title": "<string>",
"url": "<string>",
"sourceType": "<string>",
"provider": "github"
}
]
}{
"message": "<string>",
"documentationUrl": "<string>"
}Authorizations
Body
application/json
Natural-language description of the pull requests to retrieve. Criteria
such as status, labels, or time range are expressed in the query text,
including references to people and their role (for example, authored by
or reviewed by). Repository scoping is provided separately via the
projects field.
Minimum string length:
1